Subject: Re: [PATCH 2/8] powerpc/eeh: Info to trace passed devices

From: Alexander Graf <[email-masked]>
Date: Mon, 19 May 2014 14:46:17 +0200

On 14.05.14 06:11, Gavin Shan wrote:
> The address of passed PCI devices (domain:bus:slot:func) might be
> quite different from the perspective of host and guest. We have to
> trace the address mapping so that we can emulate EEH RTAS requests
> from guest. The patch introduces additional fields to eeh_pe and
> eeh_dev for the purpose.
>
> Also, the patch adds function eeh_vfio_pe_get() and eeh_vfio_dev_get()
> to search EEH PE or device according to the given guest address. Both
> of them will be used by subsequent patches.
>
> Signed-off-by: Gavin Shan <[email-masked]>

I don't see the point of VFIO knowing about guest addresses. They are 
not unique across a system and the whole idea that a VFIO device has to 
be owned by a guest is also pretty dubious.

I suppose what you really care about here is just a token for a specific 
device? But why do you need one where we don't have tokens yet?

Alex